Bug 922712 - [remote-viewer] gnome session unresponsive after connecting to vm with more displays
Summary: [remote-viewer] gnome session unresponsive after connecting to vm with more d...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: rc
: ---
Assignee: Marc-Andre Lureau
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 856682 926007
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-18 10:49 UTC by Geyang Kong
Modified: 2014-06-18 04:29 UTC (History)
12 users (show)

Fixed In Version: virt-viewer-0.5.7-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 856682
Environment:
Last Closed: 2014-06-13 10:36:16 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 CongDong 2013-11-07 02:59:38 UTC
I can reproduce with:

# rpm -qa virt-viewer spice*
virt-viewer-0.5.4-2.el7.x86_64
spice-server-0.12.2-1.el7.x86_64
spice-glib-0.16-3.el7.x86_64
spice-vdagent-0.12.1-1.el7.x86_64
spice-gtk-0.16-3.el7.x86_64
spice-xpi-2.8-4.el7.x86_64
spice-gtk3-0.16-3.el7.x86_64
spice-gtk-python-0.16-3.el7.x86_64

Steps:
1. Setup a VM (preferably in RHEVM) with 2 active screens
2. Click Console in RHEVM (or conenct to the VM any other way)
3. Click View ->, expand Displays before the connection actually gets established and leave it open
4. Wait for the connection to establish

Result:
Both displays get open, menu doesn't update, session gets frozen, remote-viewer must be killed in order to regain control.

Verify with:
# rpm -qa virt-viewer spice*
spice-xpi-2.8-4.el7.x86_64
spice-server-0.12.4-3.el7.x86_64
spice-glib-0.20-6.el7.x86_64
virt-viewer-0.5.7-2.el7.x86_64
spice-vdagent-0.14.0-5.el7.x86_64
spice-gtk3-0.20-6.el7.x86_64


Steps:
1. Setup a VM (preferably in RHEVM) with 2 active screens
2. Click Console in RHEVM (or conenct to the VM any other way)
3. Click View ->, expand Displays before the connection actually gets established and leave it open
4. Wait for the connection to establish

Result:
Session doesn't get frozen, and remote-viewer can work well.

As the result, so VERIFIED

Comment 4 Ludek Smid 2014-06-13 10:36:16 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.